using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.SDK.Models
{
    /// <summary>
    /// 考试成绩信息
    /// </summary>    
    public  class ExamResult:CosmosEntity
    {        
        public ExamResult()
        {
            pk = "ExamResult";
            classes = new List<ClassRange>();
            studentScores = new List<List<double>>();
            studentIds = new List<string>();
            point = new List<double>();
            paper = new PaperSimple();
        }
        
        public string name { get; set; }
        public long time { get; set; }
        public string subjectId { get; set; }
        public List<ClassRange> classes { get; set; }
        public List<List<double>> studentScores { get; set; }
        public List<string> studentIds { get; set; }
        public List<double> point { get; set; }
     
        public string schoolId { get; set; }
        public PaperSimple paper { get; set; }
        public string scope { get; set; }
        public string examId { get; set; }
        public string school { get; set; }
        public int year { get; set; }
        public double average { get; set; }
        public double sRate { get; set; }
        public List<double> csRate { get; set; } = new List<double>();
        public List<string> lostStus { get; set; } = new List<string>();
        public double standard { get; set; }
        public List<Dictionary<string, int>> record { get; set; } = new List<Dictionary<string, int>>();
        public List<Dictionary<string, int>> phc { get; set; } = new List<Dictionary<string, int>>();
        public List<Dictionary<string, int>> plc { get; set; } = new List<Dictionary<string, int>>();
    }
    public class ClassRange {

        public string gradeId { get; set; }
        public string id { get; set; }
        public string name { get; set; }
        public List<int> range { get; set; }
    }
}
